Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class AbstractQuickTimeStream.VideoTrack

    java.lang.Object
      org.monte.media.quicktime.AbstractQuickTimeStream.Track
          org.monte.media.quicktime.AbstractQuickTimeStream.VideoTrack

Enclosing class:
  AbstractQuickTimeStream

    protected class AbstractQuickTimeStream.VideoTrack

extends AbstractQuickTimeStream.Track

Field Summary
`protected java.awt.image.IndexColorModel` | `videoColorTable` The color table used for rendering the video.
`protected int` | `videoDepth` Number of bits per ixel.
`protected float` | `videoQuality` The video compression quality.

Fields inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.Track
`chunks, codec, editList, format, height, inputBuffer, inputTime, matrix, mediaCompressionType, mediaCompressorName, mediaDuration, mediaTimeScale, mediaType, outputBuffer, sampleCount, sampleSizes, syncInterval, syncSamples, timeToSamples, width, writeTime`

Constructor Summary
`AbstractQuickTimeStream.VideoTrack()`

Method Summary
`protected void` | `writeColorTableAtom(AbstractQuickTimeStream.CompositeAtom stblAtom)` Color table atoms define a list of preferred colors for displaying the movie on devices that support only 256 colors.
`protected void` | `writeMediaInformationHeaderAtom(AbstractQuickTimeStream.CompositeAtom minfAtom)`
`protected void` | `writeSampleDescriptionAtom(AbstractQuickTimeStream.CompositeAtom stblAtom)`

Methods inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.Track
`addChunk, addSample, getSampleCount, getTrackDuration, isEmpty, writeMediaInformationAtoms, writeSampleTableAtoms, writeTrackAtoms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### videoQuality

    protected float videoQuality

  The video compression quality.

### videoDepth

    protected int videoDepth

  Number of bits per ixel. All frames must have the same depth. The value -1 is used to mark unspecified depth.

### videoColorTable

    protected java.awt.image.IndexColorModel videoColorTable

  The color table used for rendering the video. This variable is only used when the video uses an index color model.

Constructor Detail

### AbstractQuickTimeStream.VideoTrack

    public AbstractQuickTimeStream.VideoTrack()

Method Detail

### writeMediaInformationHeaderAtom

    protected void writeMediaInformationHeaderAtom(AbstractQuickTimeStream.CompositeAtom minfAtom)
                                            throws java.io.IOException

  Specified by:
    `writeMediaInformationHeaderAtom` in class `AbstractQuickTimeStream.Track`
  Throws:
    `java.io.IOException`

### writeSampleDescriptionAtom

    protected void writeSampleDescriptionAtom(AbstractQuickTimeStream.CompositeAtom stblAtom)
                                       throws java.io.IOException

  Specified by:
    `writeSampleDescriptionAtom` in class `AbstractQuickTimeStream.Track`
  Throws:
    `java.io.IOException`

### writeColorTableAtom

    protected void writeColorTableAtom(AbstractQuickTimeStream.CompositeAtom stblAtom)
                                throws java.io.IOException

  Color table atoms define a list of preferred colors for displaying the movie on devices that support only 256 colors. The list may contain up to 256 colors. These optional atoms have a type value of 'ctab'. The color table atom contains a Macintosh color table data structure.

  Parameters:
    `stblAtom` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD